Skip to main content
GET
/
records
List records
curl --request GET \
  --url https://api.endclose.com/v1/records \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "amount": 123,
      "date": "2023-12-25",
      "data_stream_key": "<string>",
      "id": 123,
      "currency": "USD",
      "decimal_places": 2,
      "description": "<string>",
      "metadata": {},
      "external_id": "<string>",
      "matched_records": [
        {
          "id": 123,
          "amount": 123,
          "currency": "USD",
          "decimal_places": 2,
          "description": "<string>",
          "date": "2023-12-25",
          "external_id": "<string>",
          "data_stream_key": "<string>",
          "reconciliation_id": 123,
          "reconciliation_name": "<string>"
        }
      ],
      "days_unreconciled": 123
    }
  ],
  "next_cursor": "<string>",
  "limit": 123
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

data_stream_key
string

Filter by data stream key

reconciliation_match_id
string

Filter to records that belong to the given match

reconciliation_id
string

Filter to records that have a status row in the given reconciliation

external_id
string

Filter to records with this exact external_id

import_batch_id
integer

Filter to records created by this import batch

bulk_request_id
integer

Filter to records created by this bulk request

created_after
string<date-time>

ISO8601 lower bound on created_at

created_before
string<date-time>

ISO8601 upper bound on created_at

source
enum<string>

Filter via the joined import batch's source

Available options:
csv_upload,
nacha_upload,
bulk_api
status
enum<string>

Filter by match status

Available options:
matched,
unmatched
cursor
string

Opaque cursor from a previous response's next_cursor. Mutually exclusive with offset — sending cursor selects the cursor response shape.

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0

Legacy. Sending offset switches the response to the legacy has_more/offset/total_count shape. Prefer cursor for new integrations.

Response

Paginated list of records. Shape depends on whether offset (legacy) or cursor (default) was used.

Cursor pagination response (default, when cursor is used or neither pagination param is sent).

data
object[]
next_cursor
string | null

Opaque cursor for the next page. Null when no more pages.

limit
integer